Bug 701343 - (ghc-pandoc-types) Review Request: ghc-pandoc-types - Pandoc data structure library
Review Request: ghc-pandoc-types - Pandoc data structure library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 693325 ghc-citeproc-hs
  Show dependency treegraph
 
Reported: 2011-05-02 12:32 EDT by Jens Petersen
Modified: 2011-05-24 22:51 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghc-pandoc-types-1.8-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 00:43:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lakshminaras2002: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2011-05-02 12:32:41 EDT
Spec URL: http://petersen.fedorapeople.org/ghc-pandoc-types/ghc-pandoc-types.spec
SRPM URL: http://petersen.fedorapeople.org/ghc-pandoc-types/ghc-pandoc-types-1.8-1.fc14.src.rpm
Description:
This package contains definitions for the Pandoc data structure, which is used by pandoc to represent structured documents. These definitions used to live in the pandoc package, but starting with pandoc 1.7, they have been split off, so that other packages can use them without drawing in all of pandoc's dependencies, and pandoc itself can depend on packages (like citeproc-hs) that use them.

This package is needed to update pandoc to version 1.8.
Comment 1 Jens Petersen 2011-05-02 12:34:44 EDT
Koji scratch: http://koji.fedoraproject.org/koji/taskinfo?taskID=3045100
Comment 2 Narasimhan 2011-05-07 22:18:59 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
rpmlint -i built/*.rpm ghc-pandoc-types.spec 
ghc-pandoc-types.src: W: spelling-error %description -l en_US citeproc -> cite proc, cite-proc, Citigroup
The value of this tag appears to be misspelled. Please double-check.

ghc-pandoc-types.src: W: spelling-error %description -l en_US hs -> HS, sh, gs
The value of this tag appears to be misspelled. Please double-check.

ghc-pandoc-types.src:55: W: macro-in-comment %pkg_name
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

ghc-pandoc-types.x86_64: W: spelling-error %description -l en_US citeproc -> cite proc, cite-proc, Citigroup
The value of this tag appears to be misspelled. Please double-check.

ghc-pandoc-types.x86_64: W: spelling-error %description -l en_US hs -> HS, sh, gs                                                                            
The value of this tag appears to be misspelled. Please double-check.                                                                                         

ghc-pandoc-types-devel.x86_64: W: spelling-error %description -l en_US citeproc -> cite proc, cite-proc, Citigroup
The value of this tag appears to be misspelled. Please double-check.

ghc-pandoc-types-devel.x86_64: W: spelling-error %description -l en_US hs -> HS, sh, gs
The value of this tag appears to be misspelled. Please double-check.

ghc-pandoc-types-prof.x86_64: E: devel-dependency ghc-pandoc-types-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-pandoc-types-prof.x86_64: W: spelling-error %description -l en_US citeproc -> cite proc, cite-proc, Citigroup
The value of this tag appears to be misspelled. Please double-check.

ghc-pandoc-types-prof.x86_64: W: spelling-error %description -l en_US hs -> HS, sh, gs
The value of this tag appears to be misspelled. Please double-check.

ghc-pandoc-types-prof.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-pandoc-types-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/pandoc-types-1.8/libHSpandoc-types-1.8_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

ghc-pandoc-types.spec:55: W: macro-in-comment %pkg_name
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

4 packages and 1 specfiles checked; 1 errors, 12 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in devel package.

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
COPYING file included in ghc-pandoc-types package.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

md5sum ghc-pandoc-types-1.8-1.fc14.src/pandoc-types-1.8.tar.gz 
776a016eb01cfe62ad2849fe1b9f82bc  ghc-pandoc-types-1.8-1.fc14.src/pandoc-types-1.8.tar.gz

md5sum  ~/Downloads/pandoc-types-1.8.tar.gz 
776a016eb01cfe62ad2849fe1b9f82bc  ~/Downloads/pandoc-types-1.8.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in
ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list.
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides.
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissable content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}

rpm -e ghc-pandoc-types
error: Failed dependencies:
        ghc-pandoc-types = 1.8-1.fc14 is needed by (installed) ghc-pandoc-types-devel-1.8-1.fc14.x86_64

rpm -e ghc-pandoc-types-devel
error: Failed dependencies:
        ghc-pandoc-types-devel = 1.8-1.fc14 is needed by (installed) ghc-pandoc-types-prof-1.8-1.fc14.x86_64

[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
COPYING file included.
[+]SHOULD: The reviewer should test that the package functions as described.
Installs fine. Imported Text.Pandoc.Builder module into ghci. Loads fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPROVED.
Comment 3 Jens Petersen 2011-05-09 06:26:35 EDT
Thank you for the review.


New Package SCM Request
=======================
Package Name: ghc-pandoc-types
Short Description: Pandoc data structure library
Owners: petersen
Branches: f15 f14 el6
InitialCC: haskell-sig
Comment 4 Jason Tibbitts 2011-05-10 11:54:31 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2011-05-11 04:59:28 EDT
ghc-pandoc-types-1.8-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-pandoc-types-1.8-2.fc15
Comment 6 Fedora Update System 2011-05-11 04:59:41 EDT
ghc-pandoc-types-1.8-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-pandoc-types-1.8-2.fc14
Comment 7 Fedora Update System 2011-05-13 19:04:09 EDT
ghc-pandoc-types-1.8-2.fc14 has been pushed to the Fedora 14 testing repository.
Comment 8 Fedora Update System 2011-05-19 00:43:10 EDT
ghc-pandoc-types-1.8-2.fc15 has been pushed to the Fedora 15 stable repository.
Comment 9 Fedora Update System 2011-05-24 22:51:13 EDT
ghc-pandoc-types-1.8-2.fc14 has been pushed to the Fedora 14 stable repository.

Note You need to log in before you can comment on or make changes to this bug.